%define oname tinkerer

%def_with python3

Name: python-module-%oname
Version: 1.5
Release: alt1.git20150212.1.1
Summary: Sphinx-based blogging engine
License: BSD
Group: Development/Python
Url: https://pypi.python.org/pypi/Tinkerer
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# https://github.com/vladris/tinkerer.git
Source: %name-%version.tar
BuildArch: noarch

#BuildPreReq: python-devel python-module-setuptools-tests
#BuildPreReq: python-module-jinja2 python-module-sphinx-devel
#BuildPreReq: python-module-babel python-module-pyquery
#BuildPreReq: python-module-nose python-module-tox
#BuildPreReq: python-module-coverage python-module-mock
%if_with python3
BuildRequires(pre): rpm-build-python3
#BuildPreReq: python3-devel python3-module-setuptools-tests
#BuildPreReq: python3-module-jinja2 python3-module-sphinx-devel
#BuildPreReq: python3-module-babel python3-module-pyquery
#BuildPreReq: python3-module-nose python3-module-tox
#BuildPreReq: python3-module-coverage python3-module-mock
%endif

%py_provides %oname
%py_requires jinja2 sphinx babel pyquery

BuildRequires(pre): rpm-macros-sphinx
# Automatically added by buildreq on Thu Jan 28 2016 (-bi)
# optimized out: libgpg-error python-base python-devel python-module-PyStemmer python-module-Pygments python-module-babel python-module-cffi python-module-chardet python-module-cryptography python-module-cssselect python-module-dns python-module-enum34 python-module-funcsigs python-module-genshi python-module-greenlet python-module-http-parser python-module-jinja2 python-module-jinja2-tests python-module-lxml python-module-markupsafe python-module-ndg-httpsclient python-module-ntlm python-module-pbr python-module-psycopg2 python-module-pyasn1 python-module-pytest python-module-pytz python-module-requests python-module-restkit python-module-setuptools python-module-six python-module-snowballstemmer python-module-socketpool python-module-sphinx python-module-sphinx_rtd_theme python-module-unittest2 python-module-urllib3 python-module-webob python-modules python-modules-compiler python-modules-ctypes python-modules-email python-modules-encodings python-modules-hotshot python-modules-json python-modules-logging python-modules-multiprocessing python-modules-unittest python-modules-wsgiref python-modules-xml python3 python3-base python3-module-Pygments python3-module-babel python3-module-cffi python3-module-chardet python3-module-cryptography python3-module-cssselect python3-module-dns python3-module-docutils python3-module-enum34 python3-module-genshi python3-module-greenlet python3-module-jinja2 python3-module-ntlm python3-module-pip python3-module-psycopg2 python3-module-pycparser python3-module-pytest python3-module-pytz python3-module-restkit python3-module-setuptools python3-module-snowballstemmer python3-module-yieldfrom.http.client python3-module-yieldfrom.requests python3-module-yieldfrom.urllib3
BuildRequires: python-module-alabaster python-module-coverage python-module-docutils python-module-html5lib python-module-mock python-module-nose python-module-objects.inv python-module-pyquery python-module-setuptools-tests python-module-tox python3-module-coverage python3-module-html5lib python3-module-nose python3-module-pbr python3-module-pyquery python3-module-sphinx python3-module-tox python3-module-unittest2 rpm-build-python3 time

%description
Tinkerer is a blogging engine/static website generator powered by
Sphinx.

It allows blogging in reStructuredText format, comes with out-of-the-box
support for post publishing dates, authors, categories, tags, post
archive, RSS feed generation, comments powered by Disqus and more.

Tinkerer is also highly customizable through Sphinx extensions.

%if_with python3
%package -n python3-module-%oname
Summary: Sphinx-based blogging engine
Group: Development/Python3
%py3_provides %oname
%py3_requires jinja2 sphinx babel pyquery

%description -n python3-module-%oname
Tinkerer is a blogging engine/static website generator powered by
Sphinx.

It allows blogging in reStructuredText format, comes with out-of-the-box
support for post publishing dates, authors, categories, tags, post
archive, RSS feed generation, comments powered by Disqus and more.

Tinkerer is also highly customizable through Sphinx extensions.
%endif

%package pickles
Summary: Pickles for %oname
Group: Development/Python

%description pickles
Tinkerer is a blogging engine/static website generator powered by
Sphinx.

It allows blogging in reStructuredText format, comes with out-of-the-box
support for post publishing dates, authors, categories, tags, post
archive, RSS feed generation, comments powered by Disqus and more.

Tinkerer is also highly customizable through Sphinx extensions.

This package contains pickles for %oname.

%package docs
Summary: Documentation for %oname
Group: Development/Documentation
BuildArch: noarch

%description docs
Tinkerer is a blogging engine/static website generator powered by
Sphinx.

It allows blogging in reStructuredText format, comes with out-of-the-box
support for post publishing dates, authors, categories, tags, post
archive, RSS feed generation, comments powered by Disqus and more.

Tinkerer is also highly customizable through Sphinx extensions.

This package contains documentation for %oname.

%prep
%setup

%if_with python3
cp -fR . ../python3
%endif

%prepare_sphinx .
ln -s ../objects.inv blog/

%build
%python_build_debug

%if_with python3
pushd ../python3
%python3_build_debug
popd
%endif

%install
%if_with python3
pushd ../python3
%python3_install
popd
pushd %buildroot%_bindir
for i in $(ls); do
	mv $i $i.py3
done
popd
%endif

%python_install

export PYTHONPATH=%buildroot%python_sitelibdir
pushd blog
sphinx-build -b pickle -d build/doctrees . build/pickle
sphinx-build -b html -d build/doctrees . build/html
popd
cp -fR blog/build/pickle %buildroot%python_sitelibdir/%oname/

%check
python setup.py test -v
export PYTHONPATH=$PWD
nosetests -vv --with-cover --cover-package=tinkerer --cover-inclusive
#if_with python3
%if 0
pushd ../python3
python3 setup.py test -v
export PYTHONPATH=$PWD
nosetests3 -vv --with-cover --cover-package=tinkerer --cover-inclusive
popd
%endif

%files
%doc CONTRIBUTORS *.rst
%_bindir/*
%if_with python3
%exclude %_bindir/*.py3
%endif
%python_sitelibdir/*
%exclude %python_sitelibdir/*/pickle

%files pickles
%python_sitelibdir/*/pickle

%files docs
%doc blog/build/html/*

%if_with python3
%files -n python3-module-%oname
%doc CONTRIBUTORS *.rst
%_bindir/*.py3
%python3_sitelibdir/*
%endif

%changelog
* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 1.5-alt1.git20150212.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 1.5-alt1.git20150212.1
- NMU: Use buildreq for BR.

* Mon Aug 31 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.5-alt1.git20150212
- Initial build for Sisyphus

